
load schuetz_MSB_07;

[m,n] = size(schuetz_MSB_07);
numDataSets = (n-1)/2;

%fix that pesky negative 1
negInd = find(schuetz_MSB_07(:,1) == 2081, 1);
if ~isempty(negInd)
   schuetz_MSB_07(negInd,2:end) = -abs(schuetz_MSB_07(negInd,2:end));
end

%
% k = 2 is anaerobic
%
for k = 1:numDataSets
   picName = sprintf('SchuetzData%d.png',k);
   [minRAMPdist, minFBAdist] = ...
      QPdist(schuetz_MSB_07(:,[1, 2*k, 2*k+1]), picName);
   fprintf('\n%s: RAMP = %3.2f, FBA = %3.2f, Ratio = %1.2f\n', ...
      sprintf('SchuetzData%d',k), ...
      minRAMPdist, minFBAdist, minRAMPdist/minFBAdist)
end
